Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class DefaultGetMapHandler

    java.lang.Object
      org.deegree.ogcwebservices.wmps.DefaultGetMapHandler

All Implemented Interfaces:
  GetMapHandler

    public class DefaultGetMapHandler

extends Object
implements GetMapHandler

This is a copy of the WMS package.

Version:
  $Revision: 21104 $, $Date: 2009-11-27 14:33:04 +0100 (Fr, 27. Nov 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary
`protected CoordinateSystem` | `reqCRS`
`protected GetMap` | `request`
`protected double` | `scale`

Constructor Summary
`DefaultGetMapHandler(WMPSConfiguration configuration, GetMap request)` Creates a new GetMapHandler object.

Method Summary
`WMPSConfiguration` | `getConfiguration()` returns the configuration used by the handler
`protected void` | `increaseCounter()` increases the counter variable that holds the number of services that has sent a response.
`void` | `performGetMap(PrintMap printMap, Graphics g)` performs a GetMap request and returns the result encapsulated within a `GetMapResult` object.
`protected void` | `putTheme(int index, Object o)` put a theme to the passed index of the themes array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected GetMap request

### scale

    protected double scale

### reqCRS

    protected CoordinateSystem reqCRS

Constructor Detail

### DefaultGetMapHandler

    public DefaultGetMapHandler(WMPSConfiguration configuration,
                                GetMap request)
                         throws OGCWebServiceException

  Creates a new GetMapHandler object.

  Parameters:
    `configuration` -
    `request` - request to perform
  Throws:
    `OGCWebServiceException`

Method Detail

### getConfiguration

    public WMPSConfiguration getConfiguration()

  returns the configuration used by the handler

  Returns:
    WMPSConfiguration

### increaseCounter

    protected void increaseCounter()

  increases the counter variable that holds the number of services that has sent a response. All data are available if the counter value equals the number of requested layers.

### performGetMap

    public void performGetMap(PrintMap printMap,
                              Graphics g)
                       throws OGCWebServiceException

  performs a GetMap request and returns the result encapsulated within a `GetMapResult` object.

  The method throws an WebServiceException that only shall be thrown if an fatal error occurs that makes it impossible to return a result. If something went wrong performing the request (none fatal error) The exception shall be encapsulated within the response object to be returned to the client as requested (GetMap-Request EXCEPTION-Parameter).

  Specified by:
    `performGetMap` in interface `GetMapHandler`
  Parameters:
    `printMap` -
    `g` -
  Throws:
    `OGCWebServiceException`

### putTheme

    protected void putTheme(int index,
                            Object o)

  put a theme to the passed index of the themes array. The second param passed is a `Theme` or an exception

  Parameters:
    `index` -
    `o` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org